curl --request GET \
--url https://thirdparty.qonto.com/v2/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"transaction_id": "super-transaction-7468",
"amount": 0.43,
"amount_cents": 43,
"settled_balance": 111.1,
"settled_balance_cents": 11110,
"attachment_ids": [],
"local_amount": 0.43,
"local_amount_cents": 43,
"side": "debit",
"operation_type": "transfer",
"currency": "EUR",
"local_currency": "EUR",
"label": "Ferry-Purdy",
"settled_at": "2021-03-03T16:06:38.000Z",
"emitted_at": "2021-02-25T16:22:37.000Z",
"updated_at": "2020-12-12T19:52:10.000Z",
"status": "completed",
"note": "Rhea Ernser",
"reference": null,
"vat_amount": null,
"vat_amount_cents": null,
"vat_rate": null,
"initiator_id": "ccdcef78-1aa1-4d44-b991-b10005a4ad1a",
"label_ids": [
"6450e541-0a6f-4153-a46e-34d98848e280"
],
"attachment_lost": false,
"attachment_required": true,
"card_last_digits": "1234",
"card_id": "019ee255-3e39-7ec4-82c0-160d2c67df36",
"category": "gas_station",
"cashflow_category": {
"id": "38f3c1d2-2c0a-4e2e-9d0a-1a3a4f5b6c7d",
"name": "Others"
},
"cashflow_subcategory": {
"id": "7a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
"name": "Tips"
},
"id": "df346899-3595-421a-8b26-f9d9616ce496",
"subject_type": "transfer",
"transfer": {
"counterparty_account_number": "NL93RABO3730976796",
"counterparty_account_number_format": "IBAN",
"counterparty_bank_identifier": "RABO",
"counterparty_bank_identifier_format": "SWIFT_BIC"
}
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 1,
"per_page": 100
}
}List transactions
OAuth scope: organization.read
Retrieves the list of transactions for the bank account identified by the bank_account_id / iban query parameter.
You can filter (ex: only retrieve the latest transactions) and sort this list by using query parameters 👇
All transactions visible in Qonto’s UI can be retrieved, as of API V2.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
id of the bank account for which transactions will be retrieved. Use /v2/organization [blocked] to get this parameter. If both bank_account_id and iban are specified, bank_account_id takes precedence.
"018f71db-c635-78b5-b90a-ea05de98c2bf"
IBAN of the bank account for which transactions will be retrieved. Use /v2/organization [blocked] to get this parameter. If both bank_account_id and iban are specified, bank_account_id takes precedence.
"FR7616798000010000005663951"
Use this query parameter to embed the associated resources (labels, attachments and/or VAT details) of the transactions in the JSON response.
vat_details, labels, attachments Transactions can be filtered by their status property.
Possible values:
pending: a transaction that is processing and has impacted the bank account'sauth_balancebut not itsbalance;declined: a transaction that has been declined;completed: a transaction that is completed, and has impacted the bank account'sbalance;reversed: a transaction that has been reversed after being completed.
When not specified, only completed transactions will be returned.
pending, declined, completed, reversed Transactions can be filtered by their updated_at property. This filter can be used in combination with the updated_at_to query parameter to get transactions updated within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transactions can be filtered by their updated_at property. This filter can be used in combination with the updated_at_to query parameter to get transactions updated within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transactions can be filtered by their created_at property. Can be use in combination with the created_at_to query parameter to get transactions emitted within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transactions can be filtered by their created_at property. This filter can be used in combination with the created_at_from query parameter to get transactions emitted within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transactions can be filtered by their emitted_at property. Can be use in combination with the emitted_at_to query parameter to get transactions emitted within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transactions can be filtered by their emitted_at property. This filter can be used in combination with the emitted_at_from query parameter to get transactions emitted within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transactions can be filtered by their settled_at property. This filter can be used in combination with the settled_at_to query parameter to get transactions settled within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transactions can be filtered by their settled_at property. This filter can be used in combination with the settled_at_from query parameter to get transactions settled within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Transactions can be filtered by their side property.
credit, debit Transactions can be filtered by their operation_type property.
"operation_type[]=card&operation_type[]=transfer&operation_type[]=income&operation_type[]=account_remuneration"
Transactions can be filtered based on the presence of one or more attachments.
true, false Transactions can be sorted by a specific property and order.
Property: created_at, updated_at, settled_at or emitted_at
Order: asc (Ascending) / desc (Descending)
Returned page (cf. Pagination).
Number of transactions per page (cf. Pagination).
Was this page helpful?